Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextCursor.MoveOperation

    java.lang.Object
      java.lang.Enum<QTextCursor.MoveOperation>
          com.trolltech.qt.gui.QTextCursor.MoveOperation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextCursor.MoveOperation>

Enclosing class:
  QTextCursor

    public static enum QTextCursor.MoveOperation

extends java.lang.Enum<QTextCursor.MoveOperation>
implements QtEnumerator

Press link for info on QTextCursor.MoveOperation

Enum Constant Summary
`Down` Move down one line.
`End` Move to the end of the document.
`EndOfBlock` Move to the end of the current block.
`EndOfLine` Move to the end of the current line.
`EndOfWord` Move to the end of the current word.
`Left` Move left one character.
`NextBlock` Move to the beginning of the next block.
`NextCharacter` Move to the next character.
`NextWord` Move to the next word.
`NoMove` Keep the cursor where it is
`PreviousBlock` Move to the start of the previous block.
`PreviousCharacter` Move to the previous character.
`PreviousWord` Move to the beginning of the previous word.
`Right` Move right one character.
`Start` Move to the start of the document.
`StartOfBlock` Move to the start of the current block.
`StartOfLine` Move to the start of the current line.
`StartOfWord` Move to the start of the current word.
`Up` Move up one line.
`WordLeft` Move left one word.
`WordRight` Move right one word.

Method Summary
`static QTextCursor.MoveOperation` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCursor.MoveOperation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextCursor.MoveOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoMove

    public static final QTextCursor.MoveOperation NoMove

  Keep the cursor where it is

### Start

    public static final QTextCursor.MoveOperation Start

  Move to the start of the document.

### Up

    public static final QTextCursor.MoveOperation Up

  Move up one line.

### StartOfLine

    public static final QTextCursor.MoveOperation StartOfLine

  Move to the start of the current line.

### StartOfBlock

    public static final QTextCursor.MoveOperation StartOfBlock

  Move to the start of the current block.

### StartOfWord

    public static final QTextCursor.MoveOperation StartOfWord

  Move to the start of the current word.

### PreviousBlock

    public static final QTextCursor.MoveOperation PreviousBlock

  Move to the start of the previous block.

### PreviousCharacter

    public static final QTextCursor.MoveOperation PreviousCharacter

  Move to the previous character.

### PreviousWord

    public static final QTextCursor.MoveOperation PreviousWord

  Move to the beginning of the previous word.

### Left

    public static final QTextCursor.MoveOperation Left

  Move left one character.

### WordLeft

    public static final QTextCursor.MoveOperation WordLeft

  Move left one word.

### End

    public static final QTextCursor.MoveOperation End

  Move to the end of the document.

### Down

    public static final QTextCursor.MoveOperation Down

  Move down one line.

### EndOfLine

    public static final QTextCursor.MoveOperation EndOfLine

  Move to the end of the current line.

### EndOfWord

    public static final QTextCursor.MoveOperation EndOfWord

  Move to the end of the current word.

### EndOfBlock

    public static final QTextCursor.MoveOperation EndOfBlock

  Move to the end of the current block.

### NextBlock

    public static final QTextCursor.MoveOperation NextBlock

  Move to the beginning of the next block.

### NextCharacter

    public static final QTextCursor.MoveOperation NextCharacter

  Move to the next character.

### NextWord

    public static final QTextCursor.MoveOperation NextWord

  Move to the next word.

### Right

    public static final QTextCursor.MoveOperation Right

  Move right one character.

### WordRight

    public static final QTextCursor.MoveOperation WordRight

  Move right one word.

Method Detail

### values

    public static final QTextCursor.MoveOperation[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextCursor.MoveOperation c : QTextCursor.MoveOperation.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextCursor.MoveOperation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextCursor.MoveOperation resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD